> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Set leverage

POST https://www.okx.com/api/v5/account/set-leverage
Content-Type: application/json

Set the leverage of an instrument or currency. There are 5 different combinations of leverage settings depending on margin mode and position mode.

Reference: https://okx-demo.ferndocs.com/api/api-reference/account/set-leverage

## Authentication

- `OK-ACCESS-KEY` header (required) — Your API key.
- `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string.
- `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.
- `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key.

## Request

### Body (application/json)

This endpoint expects an object.

- `lever` (string, required) — Leverage.
- `mgnMode` (enum, required) — Margin mode. Can only be cross if ccy is passed.
  - Allowed values: `isolated`, `cross`
- `instId` (string, optional) — Instrument ID, required for isolated margin or when setting per-instrument leverage.
- `ccy` (string, optional) — Currency used for margin, only applicable to cross MARGIN of Multi-currency margin.
- `posSide` (enum, optional) — Position side, required when margin mode is isolated in long/short mode for FUTURES/SWAP.
  - Allowed values: `long`, `short`

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of ApiV5AccountSetLeveragePostResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV5AccountSetLeveragePostResponsesContentApplicationJsonSchemaDataItems

- `lever` (string, optional) — Leverage.
- `mgnMode` (string, optional) — Margin mode.
- `instId` (string, optional) — Instrument ID.
- `posSide` (string, optional) — Position side.

## Examples

**Request**

```json
{
  "lever": "10",
  "mgnMode": "isolated"
}
```

**Response**

```json
{
  "code": "0",
  "msg": "",
  "data": [
    {
      "lever": "30",
      "mgnMode": "isolated",
      "instId": "BTC-USDT-SWAP",
      "posSide": "long"
    }
  ]
}
```

**SDK Code**

```python account_setLeverage_example
import requests

url = "https://www.okx.com/api/v5/account/set-leverage"

payload = {
    "lever": "10",
    "mgnMode": "isolated"
}
headers = {
    "OK-ACCESS-KEY": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript account_setLeverage_example
const url = 'https://www.okx.com/api/v5/account/set-leverage';
const options = {
  method: 'POST',
  headers: {'OK-ACCESS-KEY': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"lever":"10","mgnMode":"isolated"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go account_setLeverage_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/account/set-leverage"

	payload := strings.NewReader("{\n  \"lever\": \"10\",\n  \"mgnMode\": \"isolated\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("OK-ACCESS-KEY", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby account_setLeverage_example
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/account/set-leverage")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["OK-ACCESS-KEY"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"lever\": \"10\",\n  \"mgnMode\": \"isolated\"\n}"

response = http.request(request)
puts response.read_body
```

```java account_setLeverage_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://www.okx.com/api/v5/account/set-leverage")
  .header("OK-ACCESS-KEY", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"lever\": \"10\",\n  \"mgnMode\": \"isolated\"\n}")
  .asString();
```

```php account_setLeverage_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://www.okx.com/api/v5/account/set-leverage', [
  'body' => '{
  "lever": "10",
  "mgnMode": "isolated"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'OK-ACCESS-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp account_setLeverage_example
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/account/set-leverage");
var request = new RestRequest(Method.POST);
request.AddHeader("OK-ACCESS-KEY", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"lever\": \"10\",\n  \"mgnMode\": \"isolated\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift account_setLeverage_example
import Foundation

let headers = [
  "OK-ACCESS-KEY": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "lever": "10",
  "mgnMode": "isolated"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/account/set-leverage")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```